INIT_RCU_HEAD_ON_STA(9)

NAME
init_rcu_head_on_stack - initialize on-stack rcu_head for debugobjects

SYNOPSIS

void init_rcu_head_on_stack(struct rcu_head * head);

ARGUMENTS

head
    pointer to rcu_head structure to be initialized

DESCRIPTION

This function informs debugobjects of a new rcu_head structure that has been allocated as an auto variable on the stack. This function is not required for rcu_head structures that are statically defined or that are dynamically allocated on the heap. This function has no effect for !CONFIG_DEBUG_OBJECTS_RCU_HEAD kernel builds.

COPYRIGHT